/**
 * 教育信息
 *
 * @export
 * @interface HREducation
 */
export interface HREducation {

    /**
     * 教育信息标识
     *
     * @returns {*}
     * @memberof HREducation
     */
    hreducationid?: any;

    /**
     * 教育信息名称
     *
     * @returns {*}
     * @memberof HREducation
     */
    hreducationname?: any;

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof HREducation
     */
    createdate?: any;

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof HREducation
     */
    createman?: any;

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof HREducation
     */
    updateman?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof HREducation
     */
    updatedate?: any;

    /**
     * 员工标识
     *
     * @returns {*}
     * @memberof HREducation
     */
    hremployeeid?: any;

    /**
     * 员工姓名
     *
     * @returns {*}
     * @memberof HREducation
     */
    hremployeename?: any;

    /**
     * 学历
     *
     * @returns {*}
     * @memberof HREducation
     */
    degree?: any;

    /**
     * 入学时间
     *
     * @returns {*}
     * @memberof HREducation
     */
    begintime?: any;

    /**
     * 毕业时间
     *
     * @returns {*}
     * @memberof HREducation
     */
    endtime?: any;

    /**
     * 毕业院校
     *
     * @returns {*}
     * @memberof HREducation
     */
    school?: any;

    /**
     * 一级学科
     *
     * @returns {*}
     * @memberof HREducation
     */
    subject?: any;

    /**
     * 专业
     *
     * @returns {*}
     * @memberof HREducation
     */
    major?: any;

    /**
     * 学习形式
     *
     * @returns {*}
     * @memberof HREducation
     */
    learnmodality?: any;

    /**
     * 学校性质
     *
     * @returns {*}
     * @memberof HREducation
     */
    schooltype?: any;

    /**
     * 是否最高学历
     *
     * @returns {*}
     * @memberof HREducation
     */
    highdegreeflag?: any;

    /**
     * 是否第一学历
     *
     * @returns {*}
     * @memberof HREducation
     */
    firstdegreeflag?: any;

    /**
     * 其他附件
     *
     * @returns {*}
     * @memberof HREducation
     */
    attachment?: any;

    /**
     * 毕业证
     *
     * @returns {*}
     * @memberof HREducation
     */
    attachment1?: any;

    /**
     * 学位证
     *
     * @returns {*}
     * @memberof HREducation
     */
    attachment2?: any;

    /**
     * 学历验证
     *
     * @returns {*}
     * @memberof HREducation
     */
    attachment3?: any;
}