export default {
  fields: {
    createman: "建立人",
    hrcontractid: "合同信息标识",
    hrcontractname: "合同信息名称",
    createdate: "建立时间",
    updatedate: "更新时间",
    updateman: "更新人",
    hremployeeid: "员工标识",
    hremployeename: "员工姓名",
    contractcode: "合同编号",
    contractmode: "合同类别",
    contracttype: "合同类型",
    begintime: "开始日期",
    endtime: "结束日期",
    contractstate: "合同状态",
    mgrorganizationid: "合同管理单位ID",
    mgrorganizationname: "合同管理单位",
    signorganizationid: "合同签约单位ID",
    signorganizationname: "合同签约单位",
    probationtime: "试用期",
    contractsigntype: "签订类型",
    memo: "备注",
    contractsignnum: "合同签订次数",
  },
	views: {
		gridview: {
			caption: "合同信息",
      		title: "合同信息表格视图",
		},
		editview: {
			caption: "合同信息",
      		title: "合同信息编辑视图",
		},
	},
	main_form: {
		details: {
			group1: "合同信息基本信息", 
			formpage1: "基本信息", 
			group2: "操作信息", 
			formpage2: "其它", 
			srfupdatedate: "更新时间", 
			srforikey: "", 
			srfkey: "合同信息标识", 
			srfmajortext: "合同信息名称", 
			srftempmode: "", 
			srfuf: "", 
			srfdeid: "", 
			srfsourcekey: "", 
			hrcontractname: "合同信息名称", 
			createman: "建立人", 
			createdate: "建立时间", 
			updateman: "更新人", 
			updatedate: "更新时间", 
			hrcontractid: "合同信息标识", 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			contractcode: "合同编号",
			contractmode: "合同类别",
			contracttype: "合同类型",
			begintime: "开始日期",
			endtime: "结束日期",
			mgrorganizationname: "合同管理单位",
			signorganizationname: "合同签约单位",
			contractstate: "合同状态",
		},
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: "常规条件", 
		},
		uiactions: {
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: "新建",
			tip: "新建",
		},
		tbitem4: {
			caption: "编辑",
			tip: "编辑",
		},
		tbitem7: {
			caption: "-",
			tip: "",
		},
		tbitem8: {
			caption: "删除",
			tip: "删除",
		},
		tbitem9: {
			caption: "-",
			tip: "",
		},
		tbitem13: {
			caption: "导出",
			tip: "导出",
		},
		tbitem10: {
			caption: "-",
			tip: "",
		},
		tbitem19: {
			caption: "过滤",
			tip: "过滤",
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: "保存",
			tip: "保存",
		},
		tbitem4: {
			caption: "保存并新建",
			tip: "保存并新建",
		},
		tbitem5: {
			caption: "保存并关闭",
			tip: "保存并关闭",
		},
		tbitem6: {
			caption: "-",
			tip: "",
		},
		tbitem7: {
			caption: "删除并关闭",
			tip: "删除并关闭",
		},
		tbitem8: {
			caption: "-",
			tip: "",
		},
		tbitem12: {
			caption: "新建",
			tip: "新建",
		},
		tbitem13: {
			caption: "-",
			tip: "",
		},
		tbitem14: {
			caption: "拷贝",
			tip: "拷贝",
		},
		tbitem16: {
			caption: "-",
			tip: "",
		},
		tbitem22: {
			caption: "帮助",
			tip: "帮助",
		},
	},
};