/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'employeeid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'employeename',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'employeename',
        prop: 'employeename',
        dataType: 'TEXT',
      },
      {
        name: 'employeecode',
        prop: 'employeecode',
        dataType: 'TEXT',
      },
      {
        name: 'empstate',
        prop: 'empstate',
        dataType: 'PICKUP',
      },
      {
        name: 'certtype',
        prop: 'certtype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'certnum',
        prop: 'certnum',
        dataType: 'TEXT',
      },
      {
        name: 'sex',
        prop: 'sex',
        dataType: 'SSCODELIST',
      },
      {
        name: 'birthday',
        prop: 'birthday',
        dataType: 'DATE',
      },
      {
        name: 'age',
        prop: 'age',
        dataType: 'TEXT',
      },
      {
        name: 'nation',
        prop: 'nation',
        dataType: 'SSCODELIST',
      },
      {
        name: 'organizationname',
        prop: 'organizationname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'photo',
        prop: 'photo',
        dataType: 'TEXT',
      },
      {
        name: 'mobile',
        prop: 'mobile',
        dataType: 'TEXT',
      },
      {
        name: 'telephone',
        prop: 'telephone',
        dataType: 'TEXT',
      },
      {
        name: 'email',
        prop: 'email',
        dataType: 'TEXT',
      },
      {
        name: 'postaladdress',
        prop: 'postaladdress',
        dataType: 'TEXT',
      },
      {
        name: 'nativetype',
        prop: 'nativetype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'nativeplace',
        prop: 'nativeplace',
        dataType: 'TEXT',
      },
      {
        name: 'marriage',
        prop: 'marriage',
        dataType: 'SSCODELIST',
      },
      {
        name: 'bloodtype',
        prop: 'bloodtype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'nativeaddress',
        prop: 'nativeaddress',
        dataType: 'TEXT',
      },
      {
        name: 'birthaddress',
        prop: 'birthaddress',
        dataType: 'TEXT',
      },
      {
        name: 'hobby',
        prop: 'hobby',
        dataType: 'TEXT',
      },
      {
        name: 'health',
        prop: 'health',
        dataType: 'TEXT',
      },
      {
        name: 'political',
        prop: 'political',
        dataType: 'SSCODELIST',
      },
      {
        name: 'politicaltime',
        prop: 'politicaltime',
        dataType: 'DATE',
      },
      {
        name: 'entrytype',
        prop: 'entrytype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'startworktime',
        prop: 'startworktime',
        dataType: 'DATE',
      },
      {
        name: 'startorgtime',
        prop: 'startorgtime',
        dataType: 'DATE',
      },
      {
        name: 'organizationid',
        prop: 'organizationid',
        dataType: 'PICKUP',
      },
      {
        name: 'employeeid',
        prop: 'employeeid',
        dataType: 'GUID',
      },
      {
        name: 'hremployee',
        prop: 'employeeid',
        dataType: 'FONTKEY',
      },
    ]
  }

}