/**
 * 职称信息
 *
 * @export
 * @interface HRTechnicalTitle
 */
export interface HRTechnicalTitle {

    /**
     * 职称信息标识
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    hrtechnicaltitleid?: any;

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    createman?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    updatedate?: any;

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    updateman?: any;

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    createdate?: any;

    /**
     * 职称名称
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    hrtechnicaltitlename?: any;

    /**
     * 员工标识
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    hremployeeid?: any;

    /**
     * 员工姓名
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    hremployeename?: any;

    /**
     * 获取时间
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    titletime?: any;

    /**
     * 职称等级
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    titlelevel?: any;

    /**
     * 专业类别
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    majortype?: any;

    /**
     * 专业名称
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    major?: any;

    /**
     * 签发机构
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    authorganization?: any;

    /**
     * 评审机构
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    validorganization?: any;

    /**
     * 最高职称
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    hightitle?: any;

    /**
     * 附件
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    attachment?: any;

    /**
     * 证书编号
     *
     * @returns {*}
     * @memberof HRTechnicalTitle
     */
    certificatecode?: any;
}